// /pages/api/cpl/tdrDataAPIHandler.ts

import { NextApiRequest, NextApiResponse } from "next";
import path from "path";
import fs from "fs/promises";

export default async function handler(
  req: NextApiRequest,
  res: NextApiResponse
) {
  const { id } = req.query;

  if (!id) {
    return res.status(400).json({ error: "Missing parameter: id" });
  }

  const filePath = path.join(process.cwd(), "apiMockData", "TDR", `${id}.json`);

  try {
    const data = await fs.readFile(filePath, "utf-8");
    res.status(200).json(JSON.parse(data));
  } catch (error) {
    res.status(404).json({ error: "File not found" });
  }
}
